#include <iostream>
#include <fstream>
#include <iomanip>

using namespace std;

int main()
{
	ifstream input;
	ofstream output;
	int n;
	long double total = 0;
	input.open("tinh.inp");
	input >> n;
	input.close();
	output.open("tinh.out");
	for (int i = 1; i <= (2 * n + 1); i += 2)
	{
		total += i;
	}
	output << total << endl;
	total = 1;
	for (int i = 1; i <= n; i++)
	{
		total *= i;
	}
	output << (int)total << endl;
	total = 0;
	for (int i = 1; i <= n; i++)
	{
		total = total + 1 / (long double)(i * (i + 1));
	}
	output << fixed << setprecision(2) << total << endl;
	total = 0;
	int a = 1;
	int b = 1;
	for (int i = 3; i <= n; i++)
	{
		if (i % 2 == 1)
		{
			a += b;
		}
		else b += a;
	}
	output << setprecision(0);
	if (n % 2 == 0)
	{
		output << b;
	}
	else output << a;
	output.close();
	return 0;
}